/*
 * Copyright (C) 2006-2011 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file ringbuffer.h Exported symbols from ringbuffer.c. */

struct ringbuffer;

struct ringbuffer *ringbuffer_new(unsigned size);
void *ringbuffer_add(struct ringbuffer *rb, void *data);
void *ringbuffer_get(struct ringbuffer *rb, int num);
unsigned ringbuffer_filled(struct ringbuffer *rb);
